%define snapshot 0

%ifarch %{arm} aarch64
%define build_docs 0
%else
%define build_docs 0
%endif


%define qtmajor 5
%define qtminor 15
%define qtsubminor 6

%define rel 1
%define pre rc

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}


%if %snapshot
%define qttarballdir qtquickcontrols-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtquickcontrols-everywhere-opensource-src-%{qtversion}
%endif

Name: qtquickcontrols5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Quick Controls
Group: Development/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0:  https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %{version}
BuildRequires: pkgconfig(Qt5Quick) = %{version}
Provides: qt5-qtquickcontrols = %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt5 Quick Controls.

%files
%{_qt5_qml}/QtQuick/Controls
%{_qt5_qml}/QtQuick/Dialogs
%{_qt5_qml}/QtQuick/PrivateWidgets
%{_qt5_qml}/QtQuick/Extras

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtQuickControls%{qtmajor} APIs and tools docs
Group:   Documentation
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant
Provides: qt5-qtquickcontrols-doc = %{version}

%description doc
Documentation for APIs and tools in QtQuickControls5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtquickcontrols1.qch
%{_qt5_docdir}/qtquickcontrols1/
%{_qt5_docdir}/qtquickdialogs.qch
%{_qt5_docdir}/qtquickdialogs/
%{_qt5_docdir}/qtquickextras.qch
%{_qt5_docdir}/qtquickextras/
%_qt5_examplesdir/quickcontrols/

%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtquickcontrols-everywhere-src-%{qtversion}

%build
%qmake_qt5

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"
make -j $RPM_BUILD_NCPUS

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%else
rm -rf %{buildroot}%{_qt5_examplesdir}
%endif


%changelog
* Sun Sep 18 2022 tex - 5.15.6-1pclos2022
- new version
